#Inicializa todas as configuraçcoes
clean_all
#Define alguns parametros
set report_area_format_style %6.1f
set report_delay_format_style %4.3f
#Exclui estruturas mais complexas da tecnologia alvo a ser utilizada, deixando apenas FF tipo-D com clear assincrono e Portas Logicas AND, OR, NOT, NAND, NOR, XOR e XNOR
set exclude_gates { FA1A2 FA1A0 FA1A1 FA2A2 FA2A0 FA2A1 HA1A2 HA1A0 HA1A1 AO1I2 AO1I0 AO1I1 AO1IP AO2I2 AO2I0 AO2I1 AO2IP AO3I2 AO3I0 AO3I1 AO3IP AO6I2 AO6I0 AO6I1 AO8I2 AO8I0 AO8I1 AO9I2 AO9I0 AO9I1 AO2L2 AO2L0 AO2L1 AO2LP AO6L2 AO6L0 AO6L1 AO6LP AO6P2 AO6P0 AO6P1 AO9L2 AO9L0 AO9L1 AO8L2 AO8L0 AO8L1 AO9P2 AO9P0 AO9P1 AO9R2 AO9R0 AO9R1 OAOI2 OAOI0 OAOI1 OAOIP AO6A2 AO6A0 AO6A1 AO8A2 AO8A0 AO8A1 AO1A0 AO1A1 AO2A2 AO2A0 AO2A1 AO4A2 AO4A0 AO4A1 AO5A2 AO5A0 AO5A1 DC2A0 DC2A1 DC2B0 DC2B1 DC3A0 DC3A1 DC3B0 DC3B1 DC3E2 DC3E0 DC3E1 FDC1B2 FDC1B0 FDC1B1 FD1A2 FD1A0 FD1A1  FD1C2 FD1C0 FD1C1 FD1D2 FD1D0 FD1D1 SRF4A2 SRF4A0 SRF4A1 SRF4B2 SRF4B0 SRF4B1 SRF4C2 SRF4C0 SRF4C1 SRF4D2 SRF4D0 SRF4D1 FD1I2 FD1I0 FD1I1 FD1H2 FD1H0 FD1H1 FJKA2 FJKA0 FJKA1 FJKB2 FJKB0 FJKB1 FJKC2 FJKC0 FJKC1 FJKD2 FJKD0 FJKD1 CBDA CBDB CBDC CBDD CBDE LD1A2 LD1A0 LD1A1 LD1B2 LD1B0 LD1B1 LD1C1 LD1S2 LD1S0 LD1S1 SRS4A2 SRS4A0 SRS4A1 SRS4B2 SRS4B0 SRS4B1 SRS4E2 SRS4E0 SRS4E1 LT1S0 LT1S1 BUF1H BUF1L BUF1M BUF2H BUF2L BUF2M BUF3H BUF3L BUF3M SPYD5 OA1R0 OA1R1 OA4R0 OA4R1 OAI1A2 OAI1A0 OAI1A1 OAI1Q1 OAI2N2 OAI2N0 OAI2N1 OAI2Q1 OAI3R2 OAI3R0 OAI3R1 OAI3Q1 OAI5R2 OAI5R0 OAI5R1 OAI4R2 OAI4R0 OAI4R1 OAI3N2 OAI3N0 OAI3N1 OAI3V1 OAI5N2 OAI5N0 OAI5N1 OAI5Q1 OAI6R2 OAI6R0 OAI6R1 OAI7R2 OAI7R0 OAI7R1 OAI8N2 OAI8N0 OAI8N1 OAI7C2 OAI7C0 OAI7C1 OAI8G2 OAI8G0 OAI8G1 AOA4I2 AOA4I0 AOA4I1 AOA4Q1 AOA6I2 AOA6I0 AOA6I1 AOA8I2 AOA8I0 AOA8I1 AOILA2 AOILA0 AOILA1 MX2L2 MX2L0 MX2L1 MX2I2 MX2I0 MX2I1 MX4L2 MX4L0 MX4L1 MX4I2 MX4I0 MX4I1 MX2T2 MX2T0 MX2T1 MX2S2 MX2S0 MX2S1 MX4T2 MX4T0 MX4T1 MX4S2 MX4S0 MX4S1 CONS0 CONS1 TS1R2 TS1R1 TS2R2 TS2R1 TS4R2 TS4R1 CDC0 CSDL1 CONZ0 CONZ1 BDHNF2 BDHNF1 BDHNFP BDHNN2 BDHNN1 BDHNNP BDHUF2 BDHUF1 BDHUFP BDCHL2 BDCHL0 BDCHL1 BDCHLQ BDCHLP BDDHN2 BDDHN0 BDDHN1 BDDHNP BDNLN2 BDNLN0 BDNLN1 BDNLNQ BDNLNP BDNHN2 BDNHN0 BDNHN1 BDNHNP BDULN2 BDULN0 BDULN1 BDULNQ BDULNP BDUHN2 BDUHN0 BDUHN1 BDUHNP IDHKM IDHM IDLKM IDLM IDMKM IDMM IFHKM IFLKM IFMKM IBIDU IBID2 IBIH2 IBIHU IBIKF2 IBIKF1 IBIKFV IBIK2 IBIK1 IBIKV IBIU IBIU1 IBICD IBICD2 IBICH1 IBICU2 IBIKD2 IBIKD1 IBIKD IBICK2 IBICK1 IBIC2 IBIC1 IBIUV IBICV IBIC IBICU IUHK2 IUH1 IULK1 IUL1 IUNK1 IUNM IPHKM IPHM IPLKM IPLM IPMKM IPMM IBD2 IBF2 IBFH2 IBFH IBFU IBFD2 IBFD1 IBFDV IBFK2 IBFK1 IBFKV IBFU2 IBCD2 IBC2 IBC1D2 IBCH2 IBCHU IBC2D2 IBCD1 IBCDV IFT2 IFT1 IFTU2 IFTU1 IFTUV IFTV IFTC2 OBCS2 OBH1 OBHT1 OBO1 OBOT1 OBM1 OBMT1 OFHOM OFLOM OFMOM OBIC2 OBIC0 OBIL2 OBIL0 OBIL1 OBIU OBIC OBIM OBIV OBF2 OBF1 OBFT2 OBFT1 OBFTV OBV OBFV2 OBFV0 OBFL2 OBFL0 OBFL1 OBFLU OBFLV OBFC1 OBFC2 OBFC0 OBFC0H OBFC0L OBFC0M OBFC0U OBFC0V OBTT1 OBTV OBCV VBIASH VBIASL VBIASM VPD VPD5 VREFH VREFL VREFM OBS2 OBSL2 OBSL1 OBSLV OFS1 OFSV OBUF OBUF2 OBUF1 OBUFV OBFS1 OBFS2 OBFSL2 OBFSL1 OBFSV OBST1 OBSTV OBSV }
#Carrega os dados da tecnologia alvo
load_library scl05u
#Define a pasta de trabalho
set_working_dir D:/SEL0628
#Define a codificacao de maquinas de estados: Binary/Onehot/Twohot/Random/Gray/Auto
set encoding Binary
#Faz a leitura do projeto
read -technology "scl05u"  { D:/SEL0628/dado_PLD.vhd }
#Algumas pre-otimizacoes
pre_optimize -common_logic -unused_logic -boundary -xor_comparator_optimize 
pre_optimize -extract 
#Compilar RTL para tecnologia
optimize .work.dado_PLD.behavioural -target scl05u -macro -area -effort quick -hierarchy auto 
optimize_timing .work.dado_PLD.behavioural 
#Para gerar o report de area, digite no console:
#report_area D:/SEL0628/dado_PLD_report_area.txt -cell_usage -hierarchy -all_leafs
#Para gerar o report de delay, digite no console:
#report_delay  -num_paths 1 -critical_paths -clock_frequency -show_schematic 1
